/***************************************************************************
                                main.m
                          -------------------
    begin                : Sat Aug 28 18:27:24 CDT 2004
    copyright            : (C) 2004 by Andrew Ruder
    email                : aeruder@ksu.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

int main(int argc, const char **argv)
{
	NSAutoreleasePool *apr = [NSAutoreleasePool new];
	[NSApplication sharedApplication];

	id window = [[NSWindow alloc] initWithContentRect: NSMakeRect(20, 20, 300, 100)
	  styleMask: NSTitledWindowMask backing: NSBackingStoreRetained defer: NO];
	id clipView = [[NSClipView alloc] initWithFrame: NSMakeRect(20, 44, 260, 12)];
	id text = [[NSTextView alloc] initWithFrame: NSMakeRect(0,0,260, 20)];
	[[window contentView] addSubview: clipView];
	[clipView setDocumentView: text];
	[text setFrame: NSMakeRect(0, 0, 260, 20)];
	[window makeKeyAndOrderFront: nil];

	[NSApp run];

	RELEASE(apr);
	return 0;
}
